Bug 415070 - KWin crashes after pressing Alt-Shift-F12, removing all window borders
Summary: KWin crashes after pressing Alt-Shift-F12, removing all window borders
Status: RESOLVED WORKSFORME
Alias: None
Product: kwin
Classification: Plasma
Component: general (show other bugs)
Version: 5.16.5
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2019-12-11 22:05 UTC by r3muxd
Modified: 2020-01-11 04:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description r3muxd 2019-12-11 22:05:16 UTC
Application: kwin_x11 (5.16.5)

Qt Version: 5.12.5
Frameworks Version: 5.64.0
Operating System: Linux 5.3.15-300.fc31.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
- What I was doing when the application crashed:

Pressed Alt-Shift-F12 to disable copmositing. All window borders disappeared afterwords.

-- Backtrace:
Application: KWin (kwin_x11), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3574d26640 (LWP 1783))]

Thread 33 (Thread 0x7f3457fff700 (LWP 22989)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f357a6c9f29 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /lib64/libQt5Core.so.5
#2  0x00007f357a6ca04b in QWaitCondition::wait(QMutex*, unsigned long) () at /lib64/libQt5Core.so.5
#3  0x00007f357a6c7cc3 in QThreadPoolThread::run() () at /lib64/libQt5Core.so.5
#4  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 32 (Thread 0x7f3449482700 (LWP 22988)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f357a6c9f29 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /lib64/libQt5Core.so.5
#2  0x00007f357a6ca04b in QWaitCondition::wait(QMutex*, unsigned long) () at /lib64/libQt5Core.so.5
#3  0x00007f357a6c7cc3 in QThreadPoolThread::run() () at /lib64/libQt5Core.so.5
#4  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 31 (Thread 0x7f34fa7fc700 (LWP 7686)):
#0  0x00007f357bd5fb66 in ppoll () at /lib64/libc.so.6
#1  0x00007f357a8bd0a0 in qt_safe_poll(pollfd*, unsigned long, timespec const*) () at /lib64/libQt5Core.so.5
#2  0x00007f357a8be274 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#3  0x00007f357a86aceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007f357a6c3395 in QThread::exec() () at /lib64/libQt5Core.so.5
#5  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#6  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#7  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 30 (Thread 0x7f3565326700 (LWP 5530)):
#0  0x00007f3579bfed45 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f357a6c9ff3 in QWaitCondition::wait(QMutex*, QDeadlineTimer) () at /lib64/libQt5Core.so.5
#2  0x00007f357a6ca081 in QWaitCondition::wait(QMutex*, unsigned long) () at /lib64/libQt5Core.so.5
#3  0x00007f35797131b9 in QSGRenderThread::processEventsAndWaitForMore() () at /lib64/libQt5Quick.so.5
#4  0x00007f357971345d in QSGRenderThread::run() () at /lib64/libQt5Quick.so.5
#5  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#6  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#7  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 29 (Thread 0x7f35575bf700 (LWP 5242)):
#0  0x00007f357bd5fb66 in ppoll () at /lib64/libc.so.6
#1  0x00007f357a8bd179 in qt_safe_poll(pollfd*, unsigned long, timespec const*) () at /lib64/libQt5Core.so.5
#2  0x00007f357a8be274 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#3  0x00007f357a86aceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007f357a6c3395 in QThread::exec() () at /lib64/libQt5Core.so.5
#5  0x00007f357936a119 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#6  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7f34f9ffb700 (LWP 2081)):
#0  0x00007f3579bfed45 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f357a13874a in QTWTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5Script.so.5
#2  0x00007f357a13876f in  () at /lib64/libQt5Script.so.5
#3  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7f34faffd700 (LWP 2063)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7f34fb7fe700 (LWP 2062)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7f34fbfff700 (LWP 2061)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7f3510ff9700 (LWP 2060)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7f35117fa700 (LWP 2059)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7f3511ffb700 (LWP 2058)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7f35127fc700 (LWP 2057)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7f3512ffd700 (LWP 2056)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7f35137fe700 (LWP 2055)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7f3513fff700 (LWP 2054)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7f3540ff9700 (LWP 2053)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7f35417fa700 (LWP 2052)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7f3541ffb700 (LWP 2051)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7f35427fc700 (LWP 2050)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7f35437fe700 (LWP 2049)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7f3543fff700 (LWP 2048)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7f3548ff9700 (LWP 2047)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7f35497fa700 (LWP 2045)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7f3549ffb700 (LWP 2044)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7f354a7fc700 (LWP 2043)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7f354affd700 (LWP 2042)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f3542ffd700 (LWP 2041)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f3555a00f6c in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782edd in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f354b7fe700 (LWP 2040)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f354bfff700 (LWP 2039)):
#0  0x00007f3579bff07a in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f355598f384 in  () at /lib64/libnvidia-glcore.so.440.36
#2  0x00007f35557823e0 in  () at /lib64/libnvidia-glcore.so.440.36
#3  0x00007f3555782e32 in  () at /lib64/libnvidia-glcore.so.440.36
#4  0x00007f355598e55c in  () at /lib64/libnvidia-glcore.so.440.36
#5  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f3564906700 (LWP 1973)):
#0  0x00007f357bd5fb66 in ppoll () at /lib64/libc.so.6
#1  0x00007f357a8bd179 in qt_safe_poll(pollfd*, unsigned long, timespec const*) () at /lib64/libQt5Core.so.5
#2  0x00007f357a8be274 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#3  0x00007f357a86aceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007f357a6c3395 in QThread::exec() () at /lib64/libQt5Core.so.5
#5  0x00007f357936a119 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#6  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f3566dd3700 (LWP 1939)):
#0  0x00007f357bd5fb66 in ppoll () at /lib64/libc.so.6
#1  0x00007f357a8bd179 in qt_safe_poll(pollfd*, unsigned long, timespec const*) () at /lib64/libQt5Core.so.5
#2  0x00007f357a8be274 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#3  0x00007f357a86aceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x00007f357a6c3395 in QThread::exec() () at /lib64/libQt5Core.so.5
#5  0x00007f3578d74f4a in QDBusConnectionManager::run() () at /lib64/libQt5DBus.so.5
#6  0x00007f357a6c44e6 in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#7  0x00007f3579bf84e2 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f357bd6a693 in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f3574d26640 (LWP 1783)):
[KCrash Handler]
#6  0x000055b2ee42b010 in  ()
#7  0x00007f35640ea0d4 in KWin::SceneOpenGL::createScene(QObject*) () at /usr/lib64/qt5/plugins/org.kde.kwin.scenes/KWinSceneOpenGL.so
#8  0x00007f35640ed83d in KWin::OpenGLFactory::create(QObject*) const () at /usr/lib64/qt5/plugins/org.kde.kwin.scenes/KWinSceneOpenGL.so
#9  0x00007f357bace4a3 in KWin::Compositor::slotCompositingOptionsInitialized() () at /lib64/libkwin.so.5
#10 0x00007f357bacf4c3 in KWin::Compositor::setup() () at /lib64/libkwin.so.5
#11 0x00007f357a895f40 in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#12 0x00007f357b1cb456 in QAction::triggered(bool) () at /lib64/libQt5Widgets.so.5
#13 0x00007f357b1cdb12 in QAction::activate(QAction::ActionEvent) () at /lib64/libQt5Widgets.so.5
#14 0x00007f3578fb3a67 in KGlobalAccelPrivate::_k_invokeAction(QString const&, QString const&, long long) () at /lib64/libKF5GlobalAccel.so.5
#15 0x00007f357a895dfb in QMetaObject::activate(QObject*, int, int, void**) () at /lib64/libQt5Core.so.5
#16 0x00007f3578fc282e in OrgKdeKglobalaccelComponentInterface::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /lib64/libKF5GlobalAccel.so.5
#17 0x00007f3578fc3543 in OrgKdeKglobalaccelComponentInterface::qt_metacall(QMetaObject::Call, int, void**) () at /lib64/libKF5GlobalAccel.so.5
#18 0x00007f3578d8168b in QDBusConnectionPrivate::deliverCall(QObject*, int, QDBusMessage const&, QVector<int> const&, int) () at /lib64/libQt5DBus.so.5
#19 0x00007f357a896c7a in QObject::event(QEvent*) () at /lib64/libQt5Core.so.5
#20 0x00007f357b1d1ad6 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#21 0x00007f357b1db150 in QApplication::notify(QObject*, QEvent*) () at /lib64/libQt5Widgets.so.5
#22 0x00007f357a86bde8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /lib64/libQt5Core.so.5
#23 0x00007f357a86ed8b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /lib64/libQt5Core.so.5
#24 0x00007f357a8be087 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#25 0x00007f3567bf7f12 in QXcbUnixEventDispatcher::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5XcbQpa.so.5
#26 0x00007f357a86aceb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#27 0x00007f357a872a16 in QCoreApplication::exec() () at /lib64/libQt5Core.so.5
#28 0x00007f357be3ca8d in kdemain () at /lib64/libkdeinit5_kwin_x11.so
#29 0x00007f357bc901a3 in __libc_start_main () at /lib64/libc.so.6
#30 0x000055b2ed8d10ae in _start ()
[Inferior 1 (process 1783) detached]

Reported using DrKonqi
Comment 1 Vlad Zahorodnii 2019-12-12 15:16:19 UTC
Unfortunately the backtrace lacks debug symbols. If you're able to reproduce this bug, please install kwin debug packages and attach a new backtrace.
Comment 2 Bug Janitor Service 2019-12-27 04:33:10 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Bug Janitor Service 2020-01-11 04:33:12 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!